/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.cvut.wpa.spring;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Component;

/**
 *
 * @author Bogdan Kostov <bogdan.kostov@fel.cvut.cz>
 */
//@Component
public class Conversation {
    @Autowired
    @Qualifier("p1")
    protected Person p1;
    @Autowired
    @Qualifier("p2")
    protected Person p2;

    public Conversation(Person p1, Person p2) {
        this.p1 = p1;
        this.p2 = p2;
    }

    public Conversation() {
    }

    public Person getP1() {
        return p1;
    }

    public void setP1(Person p1) {
        this.p1 = p1;
    }

    public Person getP2() {
        return p2;
    }

    public void setP2(Person p2) {
        this.p2 = p2;
    }
   
    public void startConversation(){
        p1.sayHello();
        p2.sayHello();
    }
    
}
